package net.sabi.pester;

import danger.app.Application;
import danger.ui.ScreenWindow;
import danger.ui.Menu;
import danger.ui.MenuItem;

public class AlarmListWindow extends ScreenWindow
    implements Resources, Commands {
    private static AlarmListView sAlarmListView;
    private static Pester sPester;

    public void onDecoded() {
	sAlarmListView = (AlarmListView)getDescendantWithID(ID_ALARM_LIST_VIEW);
	sPester = (Pester)Application.getCurrentApp();
	updateAlarmCount();
	super.onDecoded();
    }

    public void updateAlarmCount() {
	int size = sAlarmListView.alarmsSet();
	StringBuffer sb = new StringBuffer();
	if (size == 0) sb.append("No");
	else sb.append(size);
	sb.append(" alarm");
	if (size != 1) sb.append('s');
	sb.append(" set");
	String alarmCount = sb.toString();
	setSubTitle(alarmCount);
	sPester.setChooserFolderLabel(alarmCount);
	sPester.updatePreviewScreen();
    }

    public void adjustActionMenuState(Menu actionMenu) {
	boolean haveFocusedItem = (sAlarmListView.getFocusedItem() != null);
	actionMenu.getItemWithID(ID_DISCARD_ITEM).setEnabled(haveFocusedItem);
    }
}